/**
 * test/demos/set_limit.c
 * Copyright (C) 2008 Markus Broeker
 */

#include <sys/time.h>
#include <sys/resource.h>

int set_limit (int megs)
{
    struct rlimit rlim;

    rlim.rlim_cur = megs;
    rlim.rlim_max = 1.25 * megs;
    if (megs > (4 * 1024 * 1024))
        return setrlimit (RLIMIT_AS, &rlim);

    return -1;
}
